import { defAxios as request } from '@/utils/http'

/**
 * 登录接口
 * @param {Object} 用户名以及密码
 * @returns 返回token信息
 */
export function userLogin(data = {}) {
  return request({
    url: '/login/login',
    method: 'post',
    data
  })
}

/**
 * params
 * @returns 当前登录人信息
 */
export function getUser() {
  return request({
    url: '/user/getUserInfo',
    method: 'get'
  })
}

/**
 * 获取验证码
 * @returns 验证码图片
 */
export function userCaptcha() {
  return request({
    url: '/login/captcha',
    method: 'get'
  })
}

/**
 * 退出登录
 * @returns
 */
export function loginOut() {
  return request({
    url: '/login/logout',
    method: 'GET'
  })
}
